Symantec LiveUpdate Help

  • Introducing LiveUpdate
  • Getting updates
  • Managing connections
  • Troubleshooting


Introducing LiveUpdate

This section includes the following topics:

  • About LiveUpdate

  • Setting Internet options

  • Viewing Internet Control Panel settings

  • Customizing ISP settings


About LiveUpdate

Symantec products depend on current information to protect your computer from newly discovered threats. Symantec makes this information available to you through LiveUpdate. Using your Internet connection, LiveUpdate obtains protection and program updates for your computer.


How LiveUpdate works

Using existing Internet connections, LiveUpdate connects to the Symantec server, checks for available updates, then downloads and installs them automatically. This is the most efficient method to update protection and program files.


How often should I update?

You should check for updates as soon as you install a product. After that, you should check for protection updates frequently, and program updates occasionally.


About protection updates

Protection updates are files available from Symantec that keep your Symantec products up-to-date with the latest anti-threat technology. You should check for new protection updates frequently. You can run LiveUpdate as a scheduled task with your Windows system scheduling utility.


About program updates

You should check for program updates as soon as you install a new Symantec program. Program updates are made available as needed, so it is a good idea to check for program patches and updates occasionally.

Check the Symantec Web site for the latest news on your installed products:

http://www.symantec.com


Setting Internet options

To set Internet Options:

  1. Click Configure.

  2. On the Internet Control Panel Connections tab, select the settings you want.

  3. Click OK.

More Information

About proxy servers


Viewing Internet Control Panel settings

To view Internet Control Panel settings:

  1. On the Windows taskbar, click Start>Settings>Control Panel.

  2. In the Control Panel window, double-click Internet Options.

  3. Click the Connection tab.


Customizing ISP settings

To customize ISP settings:

  • Click Customized Settings for LiveUpdate.

    If you do not have Dial-Up Networking installed, you must install this Windows feature before you can configure Dial-Up Networking. See your Windows reference documentation for more information.


Getting updates

This section includes the following topics:

  • Getting updates


Getting updates

LiveUpdate checks for updates to all of the Symantec products that are installed on your computer.


About updates

Your programs provide better protection for your computer if you keep them up-to-date. LiveUpdate provides an easy way to keep all your Symantec programs current. Using your existing Internet connection, LiveUpdate can automatically connect to and disconnect from the Symantec LiveUpdate server. If you are connected to a network that uses proxy servers, LiveUpdate can use those settings.

LiveUpdate operates in either Interactive or Express mode. In Express mode, all the updates for your Symantec products are automatically downloaded and installed. If you change the settings to run in Interactive mode, LiveUpdate downloads a list of updates available for your Symantec products that are supported by LiveUpdate technology. You can then choose which product updates you want to install on your computer.

LiveUpdate occasionally needs to be updated. It will automatically check to see if there are any available updates each time it is run. In some cases, you may be required to run LiveUpdate an additional time to complete the update session. LiveUpdate will prompt you if this is necessary.

More Information

Getting updates

About proxy servers


Setting Interactive or Express mode

LiveUpdate operates in either Interactive or Express mode. In Express mode, LiveUpdate automatically installs all the updates for your Symantec products. In Interactive mode, LiveUpdate downloads a list of updates available for your Symantec products that are supported by LiveUpdate technology. You can then choose which product updates you want to install.

To configure LiveUpdate to use Interactive or Express mode:

  1. Under the LiveUpdate title bar, click Options.

  2. Click Configure.

  3. On the General tab, select Interactive Mode or Express Mode.

  4. If you selected Express Mode, select how you want it to run.

    • To set Express mode to run automatically when you start LiveUpdate, select Automatically start the session when LiveUpdate is launched.

    • To set Express mode to close automatically at the end of the LiveUpdate session, select Automatically exit at the end of the session.

  5. If you want to be able to access a Symantec self-help Web site in the event that an error occurs while using LiveUpdate, check Enable Enhanced Error Support.

  6. Click OK.

To turn off Express mode:

  1. On the Windows taskbar, click Start>Settings>Control Panel .

  2. In the Control Panel window, double-click Symantec LiveUpdate.

  3. On the General tab of the LiveUpdate Configuration dialog box, select Interactive Mode.

  4. Click OK.


Getting updates

You start the update process in slightly different ways, depending on whether LiveUpdate is set in Interactive mode or Express mode.

To get updates in Interactive mode:

  1. On the LiveUpdate welcome screen, click Next.

    LiveUpdate checks for updates to your Symantec products and lists the available updates.

  2. Select the updates you want to install from the list.

  3. Click Finish.

    LiveUpdate downloads and installs the updates you selected.

To get updates in Express mode:

  • On the LiveUpdate Express welcome screen, click Start.

    LiveUpdate automatically downloads and installs all the updates available for your Symantec products.

    If you have Express mode set to start automatically, LiveUpdate automatically downloads and installs all updates to your Symantec products as soon as you start LiveUpdate. There is no need to click Start.


Last Run Date and Time

Last Run Date and Time shows you when a LiveUpdate session was last run. It also displays whether or not the LiveUpdate session completed. If the LiveUpdate session failed, an error code and a description of the error is displayed, along with a recommendation on how to resolve the problem.

To view Last Run Date and Time

  1. Under the LiveUpdate title bar, click Options.

  2. Click Report last LiveUpdate.

  3. In the Last Run Date and Time window, view the details of the last LiveUpdate session.

  4. Click OK.


Managing connections

This section includes the following topics:

  • Managing Internet connections


Managing Internet connections

LiveUpdate uses your Internet connection to obtain updates. You can select and customize an Internet access method, or add and edit a Dial-Up Networking connection.


Adding a Dial-Up Networking or RAS connection

You can add a Dial-Up Networking or RAS (Remote Access Server) connection using your Windows connections. LiveUpdate lets you access your Windows connections directly.

To add a Dial-Up Networking or RAS connection:

  1. Under the LiveUpdate title bar, click Options.

  2. Click Configure.

  3. On the ISP tab, click Customized Settings for LiveUpdate to enable the Dial-Up Networking connection options.

  4. Click Add.

    This launches the Add Connection wizard from the Windows operating system.

  5. Type a name for the new connection and select the device.

  6. Follow the prompts to finish configuring the new connection.

    For more information, see your Windows system help.


Editing Dial-Up Networking properties

To view or change a Dial-Up Networking or RAS connection:

  1. Under the LiveUpdate title bar, click Options.

  2. Click Configure.

  3. On LiveUpdate Configuration ISP, click Customized Settings for LiveUpdate to enable the Dial-Up Networking connection options.

  4. Under Use This Dial-Up Networking Connection, click the connection you want to edit.

  5. Type the User name and Password.

  6. To make any other changes to this connection, click Properties to display the connection properties from the Windows Control Panel.

  7. Click OK.


Configuring proxy server connections

You can configure LiveUpdate to use an FTP or an HTTP proxy server. LiveUpdate uses HTTP for file transfers by default. LiveUpdate will attempt to use FTP if it is unable to communicate using HTTP.


About proxy servers

Some organizations use a proxy server to regulate access to the Internet, and prevent external computers from accessing company networks. If your organization uses a proxy server, you may need to configure LiveUpdate to use that server. LiveUpdate will use the same proxy server settings that you have set up for use with Internet Explorer.

Note:

Network administrators can use the Symantec LiveUpdate Administrator utility to set up an internal LiveUpdate FTP server location, where LiveUpdate clients can download program updates and virus definitions (if applicable).

You may need to obtain a username and password and other server information from your network administrator for the proxy server. There may be different proxy servers for HTTP and FTP.

If there is no proxy configuration file, obtain the names and port numbers of the servers running proxy software for each network service.


Context-sensitive

This section includes the following topics:

  • Welcome to LiveUpdate

  • About box

  • Getting a list of updates

  • Selecting updates to install

  • Setting LiveUpdate to run in Interactive or Express mode

  • What to do when all products are up-to-date

  • Selecting an Internet access method

  • Entering HTTP settings

  • Location Profiles

  • Entering FTP proxy settings

  • Configuring Automatic LiveUpdate

  • Viewing download progress

  • What to do when the update process is complete

  • Viewing LiveUpdate installations

  • Choosing an Internet connection

  • Restarting your computer

  • LiveUpdate has encountered an error

  • Configuring the Update Cache


Troubleshooting

This section includes the following topics:

  • Troubleshooting


Troubleshooting

If you have enabled Enhanced Error Support, you can access a Symantec self-help Web site in the event that an error occurs while using LiveUpdate.

Depending on how you connect to the Internet, you may also need to verify that your Internet connection has been configured properly to allow you to use LiveUpdate.

If you are an America Online subscriber, you should connect to AOL before running LiveUpdate, and make sure LiveUpdate uses that existing connection. You should also ensure that you are using a recent version of AOL software.

Symantec has documentation in the Symantec online knowledge base that can assist you in using LiveUpdate with AOL.

Please see http://service1.symantec.com/SUPPORT/sharedtech.nsf/docid/19982515512

Some ad blocking software products may deny LiveUpdate access to the file servers from which it downloads updates. If you are using this type of software, you should disable it if you notice a problem while downloading LiveUpdate packages. Once you have completed a LiveUpdate session, you can re-enable the software. Alternatively, you can try configuring the software to allow LiveUpdate to access the LiveUpdate download server.

Some zip compression utilities can interfere with LiveUpdate downloads. You can temporarily turn off this feature of your zip compression utility when you run LiveUpdate, and then re-enable it when the LiveUpdate session has completed.

Please see www.symantec.com/techsupp for more information


Configuring Automatic LiveUpdate

You can enable Automatic LiveUpdate and set the frequency that you want it to run. The default is every 240 minutes.

To enable and configure Automatic LiveUpdate

  1. In the Automatic LiveUpdate box, check Use Automatic LiveUpdate.

  2. In the Update Frequency box, type the number in hours or minutes to set the frequency that you want Automatic LiveUpdate to run.

Automatic LiveUpdate is integrated with the Windows Event Log. You can set the logging detail level for the Windows Event log. The info setting generates the most detailed information. Each setting includes the information at that level and the levels below it.

To set the Event Log Detail Level

  • In the Event Log box, select the value from the drop-down menu for Detail Level.

    The available options are:

    • info

    • warning

    • success

    • error

    • fatal


Configuring the Update Cache

LiveUpdate packages that fail to install are stored in the LiveUpdate Cache. The next time LiveUpdate runs, it resumes downloading the package, unless there are newer files available. In that case, the partially downloaded files in the Update Cache will remain until they are deleted.

You can set the maximum size for the LiveUpdate cache. The minimum cache size is 10 megabytes. The default maximum size is 5% of the partition where LiveUpdate is installed. LiveUpdate will automatically delete the files once the maximum size is reached, based on oldest files first.

To configure the Update Cache

  • Type the size, or move the slider left or right until the desired maximum size is reached.

You can empty the Update Cache immediately.

To empty the Update Cache

  • Click Remove All Updates From Cache.


Setting LiveUpdate to run in Interactive or Express mode

Configure LiveUpdate to run in either Interactive mode or Express mode. Interactive mode gives you the flexibility to choose which Symantec product updates you want to install. Express mode automatically installs all the updates for your Symantec products.

You can set the level of support that LiveUpdate displays when it encounters an error. The options are Normal, Enhanced, and Off.

To run in Interactive Mode:

  1. Select Interactive Mode.

  2. Click OK.

    The next time LiveUpdate retrieves the list of updates for your Symantec products, you'll have a chance to choose which ones you want to install.

To run in Express Mode:

  1. Select Express Mode.

  2. Select how you want Express mode to run.

    • To set Express mode to run automatically when you start LiveUpdate, select Automatically start the session when LiveUpdate is launched.

    • To set Express mode to close automatically at the end of the LiveUpdate session, select Automatically exit at the end of the session.

  3. Click OK.

To set the error support level

  1. In the Error Support Level box, click the drop-down arrow and select one of the following:

    • Normal

      LiveUpdate displays the error message and the URL of the appropriate Symantec Knowledge Base article to assist you in troubleshooting the error.

    • Enhanced

      In addition to the error message and Symantec Knowledge Base URL, LiveUpdate also displays product information, and other system information when possible.

    • Off

      This disables Error Support. Error messages will not be displayed.

  2. Click OK.


Choosing an Internet connection

LiveUpdate requires an Internet connection to access the Symantec server for updates. If you have an existing Internet connection, you don't need to change any other LiveUpdate settings.

You might see the following Dial-Up networking, RAS, and proxy server options during installation:

  • My current Internet connection method

    This recommended option lets LiveUpdate connect to the Internet via any default dial-up setting that exists for Internet Explorer. This is also the recommended option if you use a cable modem or other persistent Internet connection method.

    If you do not have Internet Explorer installed, or if you have multiple Dial-Up Networking entries, then it may be best to select an Internet connection method by clicking "The following Internet connection method."

  • The following Internet connection method

    For Dial-Up Networking or RAS connections, select this option if you want LiveUpdate to use a different Internet connection than your computer's current default connection method. It selects the last dial-up connection method used by a previous installation of LiveUpdate. To change this entry, go to the next panel and click Configure, then select a different Dial-Up Networking connection or create a new connection.

  • Don't use a proxy server

    If you are on a network that uses proxy server settings, you can tell LiveUpdate not to use those proxy settings to retrieve updates. If you select this option, you can configure a different connection by clicking Configure on the next page.

  • Use my existing custom LiveUpdate proxy settings

    If you are on a network that uses proxy server settings, select this option to have LiveUpdate use a specific proxy server setting to retrieve updates.

  • Use my Internet Explorer settings

    If you are on a network that uses proxy server settings, select this option to have LiveUpdate use your existing Internet Explorer settings.

    Note:

More Information

Editing Dial-Up Networking properties


Location Profiles

LiveUpdate supports the use of multiple connection profiles. If this option has been enabled by your network administrator, you can select which location profile you want to use for your LiveUpdate connection.


Selecting an Internet access method

If you use an Internet Service Provider, LiveUpdate can use your existing settings. You can also specify or create a different connection.

You can change your Internet access method using either the LiveUpdate Configuration option in the LiveUpdate user interface, or by using the Symantec LiveUpdate option in the Control Panel.

To access LiveUpdate Configuration from the LiveUpdate user interface:

  1. Start LiveUpdate.

  2. Under the LiveUpdate title bar, click Options.

  3. Click Configure.

To access LiveUpdate Configuration in the Control Panel:

  1. On the Windows taskbar, click Start>Settings>Control Panel.

  2. In the Control Panel window, select Symantec LiveUpdate.

To access LiveUpdate Configuration in the Control Panel on 64-bit operating system:

  1. On the Windows taskbar, click Start > Control Panel.

    If you select Control Panel from Windows Explorer, you do not see the correct folders.

  2. Click View x86 Control Panel icons.

  3. In the Control Panel window, click Symantec LiveUpdate.

To change the Internet access method:

  • On the LiveUpdate Configuration ISP tab, click one of the following:

  • The Internet Options in the Control Panel: LiveUpdate uses your current Internet settings (stored in the Internet Control Panel). Click Configure to view or change the Internet setting. Otherwise, click OK to continue with the LiveUpdate session.

  • Customized settings for LiveUpdate: Lets you add or update a customized connection for LiveUpdate. Continue to the next procedure.

  • Do not manage my Dial-up Networking connections: Select this option if you do not want LiveUpdate to manage your Dial-up Networking connection to the Internet. When you select this option, LiveUpdate will not automatically close any Dial-up Networking connections that it may have created to connect to the Internet. This may result in unexpected phone charges.

To customize settings for LiveUpdate:

  1. Select a Dial-Up Networking connection, or click Add to add a new connection.

  2. Click Properties to view and change the selected connection's properties.

  3. Type your User name and Password, and then click Apply to apply settings and move to another tab, or click OK if you are done.


Viewing download progress

The progress bar indicates that LiveUpdate is downloading the available updates for your installed software.

Once the download is complete, LiveUpdate installs the updates you have selected.


LiveUpdate has encountered an error

If LiveUpdate has trouble connecting, it displays an error message.

Before you retry, make sure other Internet applications and network connections are working because the problem could be with your network. Check your LiveUpdate configuration settings before trying again.

If you use America Online, CompuServe, or Prodigy to connect to the Internet, you may need to specify that connection in your computer's Control Panel Internet Connection settings.


Entering FTP proxy settings

FTP proxy settings provide LiveUpdate with the settings required to connect to the Internet through your network.

You can change your FTP proxy settings using either the LiveUpdate Configuration option in the LiveUpdate user interface, or by using the Symantec LiveUpdate option in the Control Panel. By default, LiveUpdate uses the same proxy server settings that you have set up for use with Internet Explorer.

To access LiveUpdate Configuration from the LiveUpdate user interface:

  1. Start LiveUpdate.

  2. Under the LiveUpdate title bar, click Options.

  3. Click Configure.

To access LiveUpdate Configuration in the Control Panel:

  1. On the Windows taskbar, click Start>Settings>Control Panel.

  2. In the Control Panel window, select Symantec LiveUpdate.

To access LiveUpdate Configuration in the Control Panel on 64-bit operating system:

  1. On the Windows taskbar, click Start > Control Panel.

    If you select Control Panel from Windows Explorer, you do not see the correct folders.

  2. Click View x86 Control Panel icons.

  3. In the Control Panel window, click Symantec LiveUpdate.

To enter FTP proxy server settings

  • On the LiveUpdate Configuration FTP tab, click one of the following:

    • I want to use my Internet Options FTP Settings: LiveUpdate uses your current Internet settings (stored in the Internet Control Panel). Click Configure to view or change the Internet setting.

    • I want to customize my FTP Settings for LiveUpdate: Lets you enter FTP proxy settings for LiveUpdate. Continue to the next procedure.

    • I do not use a proxy server for FTP: Select this option if you do not want LiveUpdate to use a proxy server when connecting to the Internet.

To customize FTP proxy server settings:

  1. Click I want to customize my FTP settings for LiveUpdate.

  2. Type the FTP address or the path of the proxy server.

  3. Type the port number, often 21.

  4. Click OK.

More Information

About proxy servers

Entering HTTP settings


Entering HTTP settings

HTTP settings provide LiveUpdate with the settings required to connect to the Internet through your network.

You can change your HTTP settings using either the LiveUpdate Configuration option in the LiveUpdate user interface, or by using the Symantec LiveUpdate option in the Control Panel. By default, LiveUpdate uses the same proxy server settings that you have set up for use with Internet Explorer.

To access LiveUpdate Configuration from the LiveUpdate user interface:

  1. Start LiveUpdate.

  2. Under the LiveUpdate title bar, click Options.

  3. Click Configure.

To access LiveUpdate Configuration in the Control Panel:

  1. On the Windows taskbar, click Start>Settings>Control Panel.

  2. In the Control Panel window, select Symantec LiveUpdate.

To access LiveUpdate Configuration in the Control Panel on 64-bit operating system:

  1. On the Windows taskbar, click Start > Control Panel.

    If you select Control Panel from Windows Explorer, you do not see the correct folders.

  2. Click View x86 Control Panel icons.

  3. In the Control Panel window, click Symantec LiveUpdate.

To enter HTTP proxy server settings:

  • On the LiveUpdate Configuration HTTP tab, click one of the following:

    • I want to use my Internet Options HTTP Settings: LiveUpdate uses your current Internet settings (stored in the Internet Control Panel). Click Configure to view or change the Internet setting.

    • I want to customize my HTTP Settings for LiveUpdate: Lets you enter HTTP proxy settings or server authentication settings for LiveUpdate. Continue to the next procedure.

    • I do not use a proxy server for HTTP: Select this option if you do not want LiveUpdate to use a proxy server when connecting to the Internet.

To customize HTTP proxy server settings:

  1. Click I want to customize my HTTP settings for LiveUpdate.

  2. Type the HTTP address or the path of the proxy server.

  3. Type the port number, often 80.

  4. If your proxy server requires a logon user name and password, click I need authorization to connect through my firewall or proxy server, then type the Username and Password.

  5. Click OK.

    If your network uses different proxy servers for HTTP and FTP connections, enter the proxy server information on the FTP tab as well.

To access LiveUpdate through a server that requires authentication:

  1. If you are not going through a proxy but require authentication, click I need authorization to connect through my firewall or proxy server, then type the Username and Password.

  2. Click OK.

More Information

About proxy servers

Entering FTP proxy settings


Viewing LiveUpdate installations

LiveUpdate automatically installs the updates it downloads. You can see the list of updates LiveUpdate installs. Sometimes updates can't be installed if another application is open. Check the LiveUpdate message for more information.


Getting a list of updates

When you start LiveUpdate, it displays a list of the Symantec programs installed on your computer. When you click Next in Interactive mode, it checks to see which installed programs have updates available on the LiveUpdate server.

Note:

If you have waited several minutes and the progress bar does not move, you may need to click Cancel. Otherwise, wait for LiveUpdate to finish retrieving a list of updates.

From the list of available updates, you can select which updates LiveUpdate should download and install.

In Express mode, all the available updates are downloaded and installed.


What to do when all products are up-to-date

LiveUpdate has checked for updates for all your installed Symantec software and determined that there are no updates. Use LiveUpdate frequently to check for new updates.


Restarting your computer

Some updates may require that you restart your computer before the updates take effect. A restart is required when the update requires a change to the Registry or other essential system function.

It is recommended that you restart as soon as possible. Save any unsaved work and then restart.


Selecting updates to install

In Interactive mode, LiveUpdate displays a list of available updates you can select to install. For example, you may not want to install a Norton Utilities update, but, if you are using Norton AntiVirus, you may want to install the latest virus definitions.

To install selected updates:

  1. Specify the updates to install.

  2. Click Next.

    LiveUpdate installs the updates and displays a message when the installations are complete.

    Some updates require that you restart your computer. LiveUpdate displays a message if it is necessary to restart.


What to do when the update process is complete

When LiveUpdate has finished updating, you can click an update to see a description of what LiveUpdate has done. LiveUpdate usually installs the updates automatically.

To complete LiveUpdate:

  • Click Finish. LiveUpdate completes the update process for your installed programs.

    You may need to restart your computer before all changes take effect. LiveUpdate displays a message if it is necessary to restart.


Welcome to LiveUpdate

LiveUpdate searches for updates to your installed Symantec products.


About box

The About box lets you view the version number and other developer information about LiveUpdate.